File: config

package info (click to toggle)
analog 2:6.0-22
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 6,772 kB
  • sloc: ansic: 45,186; makefile: 279; perl: 249; sh: 49
file content (21 lines) | stat: -rw-r--r-- 561 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
#!/bin/sh
set -e
. /usr/share/debconf/confmodule

PRI=low
if [ "$1" = configure ] && [ -n "$2" ] && dpkg --compare-versions "$2" lt "2:5.23-3"; then
	# On upgrade, the question defaults to true so I don't break any
	# existing installs.
	db_set analog/anlgform true
	PRI=medium
elif [ -e /usr/lib/cgi-bin/anlgform.cgi ]; then
	# The link exists, made by the postinst or by hand, so default
	# to keeping it.
	db_set analog/anlgform true
else
	# No link, no upgrade; disable.
	db_set analog/anlgform false
fi

db_input $PRI analog/anlgform || true
db_go || true